Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## tesl
Class IntegerCalc

    java.lang.Object
      tesl.IntegerCalc

All Implemented Interfaces:
  TagCalculus<java.lang.Integer>

    public class IntegerCalc

extends java.lang.Object
implements TagCalculus<java.lang.Integer>

A tag calculus on integers which uses the regular int operators

Author:
  boulange

Constructor Summary
`IntegerCalc()`

Method Summary
`java.lang.Integer` | `add(java.lang.Integer a, java.lang.Integer b)`
`java.lang.Integer` | `divide(java.lang.Integer a, java.lang.Integer b)`
`static java.lang.Integer` | `do_add(java.lang.Integer a, java.lang.Integer b)`
`static java.lang.Integer` | `do_divide(java.lang.Integer a, java.lang.Integer b)`
`static java.lang.Integer` | `do_multiply(java.lang.Integer a, java.lang.Integer b)`
`static java.lang.Integer` | `do_subtract(java.lang.Integer a, java.lang.Integer b)`
`java.lang.Integer` | `multiply(java.lang.Integer a, java.lang.Integer b)`
`java.lang.Integer` | `subtract(java.lang.Integer a, java.lang.Integer b)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IntegerCalc

    public IntegerCalc()

Method Detail

### add

    public java.lang.Integer add(java.lang.Integer a,
                                 java.lang.Integer b)

  Specified by:
    `add` in interface `TagCalculus<java.lang.Integer>`

### do_add

    public static java.lang.Integer do_add(java.lang.Integer a,
                                           java.lang.Integer b)

### subtract

    public java.lang.Integer subtract(java.lang.Integer a,
                                      java.lang.Integer b)

  Specified by:
    `subtract` in interface `TagCalculus<java.lang.Integer>`

### do_subtract

    public static java.lang.Integer do_subtract(java.lang.Integer a,
                                                java.lang.Integer b)

### multiply

    public java.lang.Integer multiply(java.lang.Integer a,
                                      java.lang.Integer b)

  Specified by:
    `multiply` in interface `TagCalculus<java.lang.Integer>`

### do_multiply

    public static java.lang.Integer do_multiply(java.lang.Integer a,
                                                java.lang.Integer b)

### divide

    public java.lang.Integer divide(java.lang.Integer a,
                                    java.lang.Integer b)

  Specified by:
    `divide` in interface `TagCalculus<java.lang.Integer>`

### do_divide

    public static java.lang.Integer do_divide(java.lang.Integer a,
                                              java.lang.Integer b)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD